<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Module Level Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Module Level Functions<div class="ingroups"><a class="el" href="group___g_t_r_a_c_k___internal.html">Internals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Internal MODULE level API, called by External Functions.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gae6cd873b8ef7433bb347d61af3f167f3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#gae6cd873b8ef7433bb347d61af3f167f3">gtrack_modulePredict</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst)</td></tr>
<tr class="separator:gae6cd873b8ef7433bb347d61af3f167f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89de00903da0d194c6f561dc501dabfe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga89de00903da0d194c6f561dc501dabfe">gtrack_moduleAssociate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, uint16_t num)</td></tr>
<tr class="separator:ga89de00903da0d194c6f561dc501dabfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3c16a30d0d0e4a211417d2e155e87993"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga3c16a30d0d0e4a211417d2e155e87993">gtrack_moduleAllocate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, uint16_t num)</td></tr>
<tr class="separator:ga3c16a30d0d0e4a211417d2e155e87993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga898cc5c80f24fb5a9d3fa4932e519442"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#ga898cc5c80f24fb5a9d3fa4932e519442">gtrack_moduleUpdate</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *point, <a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *var, uint16_t num)</td></tr>
<tr class="separator:ga898cc5c80f24fb5a9d3fa4932e519442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9c4d673ab363f0e8d8c26df946a7b3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___g_t_r_a_c_k___a_l_g___m_o_d_u_l_e___f_u_n_c_t_i_o_n.html#gae9c4d673ab363f0e8d8c26df946a7b3f">gtrack_moduleReport</a> (<a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *inst, <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *t, uint16_t *tNum)</td></tr>
<tr class="separator:gae9c4d673ab363f0e8d8c26df946a7b3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Internal MODULE level API, called by External Functions. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga3c16a30d0d0e4a211417d2e155e87993"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_moduleAllocate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *&#160;</td>
          <td class="paramname"><em>inst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>num</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a MODULE level allocation function. The function is called by external step function to allocate new targets for the non-associated measurement points</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inst</td><td>Pointer to GTRACK module instance </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point</td><td>Pointer to an array of input measurments. Each measurement has range/angle/radial velocity information </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">num</td><td>Number of input measurements</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga89de00903da0d194c6f561dc501dabfe"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_moduleAssociate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *&#160;</td>
          <td class="paramname"><em>inst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>num</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a MODULE level associatiation function. The function is called by external step function to associate measurement points with known targets</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inst</td><td>Pointer to GTRACK module instance </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point</td><td>Pointer to an array of input measurments. Each measurement has range/angle/radial velocity information </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">num</td><td>Number of input measurements</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae6cd873b8ef7433bb347d61af3f167f3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_modulePredict </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *&#160;</td>
          <td class="paramname"><em>inst</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a MODULE level predict function. The function is called by external step function to perform unit level kalman filter predictions</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inst</td><td>Pointer to GTRACK module instance</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae9c4d673ab363f0e8d8c26df946a7b3f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_moduleReport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *&#160;</td>
          <td class="paramname"><em>inst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a> *&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t *&#160;</td>
          <td class="paramname"><em>tNum</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a MODULE level report function. The function is called by external step function to obtain unit level data</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inst</td><td>Pointer to GTRACK module instance </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">t</td><td>Pointer to an array of <a class="el" href="struct_g_t_r_a_c_k__target_desc.html">GTRACK_targetDesc</a>. This function populates the descritions for each of the tracked target </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">tNum</td><td>Pointer to a uint16_t value. Function returns a number of populated target descriptos</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga898cc5c80f24fb5a9d3fa4932e519442"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtrack_moduleUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_gtrack_module_instance.html">GtrackModuleInstance</a> *&#160;</td>
          <td class="paramname"><em>inst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_point.html">GTRACK_measurementPoint</a> *&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_g_t_r_a_c_k__measurement_variance.html">GTRACK_measurementVariance</a> *&#160;</td>
          <td class="paramname"><em>var</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>num</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This is a MODULE level update function. The function is called by external step function to perform unit level kalman filter updates</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inst</td><td>Pointer to GTRACK module instance </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">point</td><td>Pointer to an array of input measurments. Each measurement has range/angle/radial velocity information </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">var</td><td>Pointer to an array of input measurment variances. Set to NULL if variances are unknown </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">num</td><td>Number of input measurements</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
